/*
 * Copyright (c) 2005, Innoopract Informationssysteme GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *  Innoopract - initial API and implementation
 */
package bug2html;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import javax.net.ssl.X509TrustManager;

/**
 * Non-validating X509TrustManager.
 * Will not check the certificate of an SSL connection.
 * @author Elias Volanakis <evolanakis@innoopract.de>
 */
public class DummyX509TrustManager implements X509TrustManager {

  public void checkClientTrusted(final X509Certificate[] arg0, final String arg1)
      throws CertificateException {
    // do nothing
  }

  public void checkServerTrusted(final X509Certificate[] arg0, final String arg1)
      throws CertificateException {
    // do nothing
  }

  public X509Certificate[] getAcceptedIssuers() {
    return null;
  }
}
